Skip Menu |
 

This queue is for tickets about the Test-HasVersion CPAN distribution.

Report information
The Basics
Id: 65998
Status: new
Priority: 0/
Queue: Test-HasVersion

People
Owner: Nobody in particular
Requestors: xenoterracide [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: doesn't find an invalid multipart
Date: Mon, 21 Feb 2011 08:51:55 -0600
To: Bugs-Test-HasVersion [...] rt.cpan.org
From: Caleb Cushing <xenoterracide [...] gmail.com>
Download (untitled) / with headers
text/plain 723b
I've been using your code to check mine, but apparently mine is flawed https://github.com/xenoterracide/Dist-Zilla-Plugin-OurPkgVersion/blob/e3b378c9990e13a8457396f0d7ec8e234297b98d/lib/Dist/Zilla/Plugin/OurPkgVersion.pm Dist-Zilla-Plugin-OurPkgVersion [master] % perl -MDist::Zilla::Plugin::OurPkgVersion -elw 'print "$ist::Zilla::Plugin::OurPkgVersion::VERSION"' Dist-Zilla-Plugin-OurPkgVersion [master] % slave-iv perl -Mstrict -wle 'our $VERSION = 0.1.0; print $VERSION' won't print anything. So essentially ... this doesn't have a version... not a valid one, and your test which I'm using via Dist::Zilla::Plugin::HasVersionTests doesn't catch it -- Caleb Cushing http://xenoterracide.com


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.